james-server-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Martin.Bergljung" <Martin.Berglj...@opsera.com>
Subject IMAP Module question
Date Mon, 29 Sep 2008 14:31:25 GMT
Hi,

 

I am working on a project where we have integrated the Apache James IMAP
module with Alfresco. 

We have that integration working fine now but would like to upgrade the
IMAP libs etc to be inline

with latest builds from Apache James, and what will be released, so we
are not working with code/branch that is obsolete etc.

 

I have been using the james-server-spring-deployment-3.0-SNAPSHOT
nightly build to do the upgrade to latest code.

However, there is some stuff I do not follow, for example, we have been
overriding some of the command implementations 

to get the system to work with Lotus Notes. In the
james-server-spring-deployment-3.0-SNAPSHOT build I can see the 

SelectCommand.class in a couple of places. However, in the source code
(http://svn.apache.org/repos/asf/james/protocols/imap/trunk and 

http://svn.apache.org/repos/asf/james/server/trunk) I don't see the
command classes anymore. I thought this was because 

you are now using a more efficient architecture or something, the
commands were created for each request for example.

 

Basically what branche(s) should I use to integrate latest Apache James
IMAP module with Alfresco?

 

Any help much appreciated,

Martin Bergljung

 

 

 

 


Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message